Users

Get Current User

Get the identifiers of the currently authenticated user

GET
https://api.textreveal.com/v3/users/me

Request

This API route is experimental.

Route name, parameters and responses might change.

Response

Response - 200

Identifiers of the current user

  • id*uuid

    Current user's id

    Example: "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  • organization_id*uuid

    Current user's organization id

    Example: "3fa85f64-5717-4562-b3fc-2c963f66afa6"
Response
{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "organization_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}

Error

Error - 400

Bad request

  • message*string

    Error message.

    Example: "Check the errors field for more details"
  • code*number (enum)

    Error code.

    Values: 400
  • reason*string (enum)

    Error reason.

    Values: "invalid"
  • errorsobject[]

    Possible error causes.

    Array length: [1, ∞]
Response
{
  "message": "Check the errors field for more details",
  "code": 400,
  "reason": "invalid",
  "errors": [
    {
      "message": "string",
      "field": ".",
      "reason": "invalid_type"
    }
  ]
}

Generic errors are not shown, see Errors for more details.